curl --request GET \
--url https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency": "USD",
"available": 1025,
"creation_time": "2010-05-06T12:23:34.321Z",
"current": -2500,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"last_updated_time_vendor": "2010-05-06T12:23:34.321Z",
"limit": 10000,
"transactions_last_updated_time": "2010-05-06T12:23:34.321Z"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get external account balances
Given an external account ID, return the account balances in real time.
The data returned by this endpoint is always fetched synchronously; it is not cached by Synctera. As a result, response latency is often high.
curl --request GET \
--url https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/balance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency": "USD",
"available": 1025,
"creation_time": "2010-05-06T12:23:34.321Z",
"current": -2500,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"last_updated_time_vendor": "2010-05-06T12:23:34.321Z",
"limit": 10000,
"transactions_last_updated_time": "2010-05-06T12:23:34.321Z"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Path Parameters
Query Parameters
Response
A collection of fields that represent funds available in the account. The relationship between these fields is complex and can depend on geography and/or the external financial institution. You should not assume that all of these fields will be set, and you should not expect consistent results for different customers at different financial institutions.
If you use Plaid as your backing vendor, see https://plaid.com/docs/api/products/balance/ for precise details on when these fields are set and how they relate.
For a DEPOSITORY account, this is the total amount of funds in the account.
For a CREDIT account, this is the amount owing. If negative, the lender
owes the account holder.
This is an integer in the minor currency unit (e.g. cents): -2500 means $25.00 owed to the account holder.
-2500
For DEPOSITORY accounts, this is the pre-arranged overdraft limit, commonly
used in Europe. In North America this is typically not set for depository accounts.
For CREDIT accounts, this is the credit limit on the account.
This is an integer in the minor currency unit (e.g. cents): 10000 means $100.00
x >= 010000
Was this page helpful?

